Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Nov 2024 09:05:16 +0200

> From: Tim Ruffing <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> Date: Thu, 07 Nov 2024 03:12:19 +0100
> 
> On Wed, 2024-11-06 at 15:11 +0200, Eli Zaretskii wrote:
> > 
> > 
> > Thanks.  Can you try calling hb_font_destroy in
> > ftcrhbfont_end_hb_font
> > and setting ftcrfont_info->hb_font to NULL right after that?  If that
> > solves the problem, we could at least install this for now, until we
> > have a better solution (if one exists).
> 
> Yes, that appears to work. And I don't think there's an obvious better
> solution. See attached patch.

Thanks.  Visuwesh, does this patch fix your problem as well?  If so, I
think we should install this.

> And I think I understand the root cause now:

Thanks, sounds plausible (but I know nothing about Cairo internals or
how we use it in Emacs).